#include <iostream>
#include <vector>
#include <algorithm>
#include <cmath>
#include <map>

using namespace std;

// map<long long, long long> vmap;
//
// long long binery(long long a) {
//     map <long long, long long> mp;
//     long long ans = 0;
//
//     while (a != 0) {
//         long long lg = log2(a);
//         a = a - pow(2, lg);
//         ans = ans + pow(10, lg);
//     }
//
//     return ans;
// }

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);

    long long n, k;
    cin >> n >> k;
    long long fzeronum = 0;
    long long szeronum = 0;

    for (long long i = 0; i < n; i++) {
        long long x;
        cin >> x;
        if (x == 0) {
            fzeronum++;
            szeronum++;
        }
        if (x == 1) {
            szeronum++;
        }
        if (x == 2) {
            fzeronum++;
        }
    }

    if (k >= fzeronum && k >= szeronum) {
        cout << 3;
    }
    if (k < fzeronum && k >= szeronum) {
        cout << 2;
    }
    if (k >= fzeronum && k < szeronum) {
        cout << 1;
    }
    if (k < fzeronum && k < szeronum) {
        cout << 0;
    }

    return 0;
}